import { BaseSchema } from "@adonisjs/lucid/schema";

export default class AddAlternateMimetypeToMimeTypes extends BaseSchema {
  protected tableName = 'mime_types';

  public async up () {
    this.schema.alterTable(this.tableName, (table) => {
      table.string('alternate_mimetype').nullable();
    });
  }

  public async down () {
    this.schema.alterTable(this.tableName, (table) => {
      table.dropColumn('alternate_mimetype');
    });
  }
}
// ALTER TABLE "mime_types" ADD COLUMN "alternate_mimetype" VARCHAR(255) NULL